China Class Reference
Date and time calculations » Calendars

Chinese calendar. More...

`#include <ql/time/calendars/china.hpp>`

Inheritance diagram for China:
[legend]

## Public Types

enum | Market { SSE, IB }

## Public Member Functions

| China (Market m=SSE)
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
BigInteger | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const

## Additional Inherited Members

Static Public Member Functions inherited from Calendar
static std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
| Returns the holidays between two dates.
Protected Attributes inherited from Calendar
boost::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Chinese calendar.

Holidays:

- Saturdays
- Sundays
- New Year's day, January 1st (possibly followed by one or two more holidays)
- Labour Day, first week in May
- National Day, one week from October 1st

Other holidays for which no rule is given (data available for 2004-2015 only):

- Chinese New Year
- Ching Ming Festival
- Tuen Ng Festival
- Mid-Autumn Festival
- 70th anniversary of the victory of anti-Japaneses war

SSE data from http://www.sse.com.cn/ IB data from http://www.chinamoney.com.cn/